#ifndef _WAVEFORM_H
#define _WAVEFORM_H

#include <string>

using namespace std;

class Waveform{
private:
	string sChunkID;			   // chunk	id 'RIFF'
	unsigned int nChunkSize;			   // chunk	size
	string sWaveID;		   // wave chunk id	'WAVE'
	string sFormatID;		   // format chunk id 'fmt '
	unsigned int nFormatSize;		   // format chunk size
	unsigned short nFormatTag;		   // format tag currently pcm
	unsigned short nChannels;		   // number of channels 1=mono, 2=stereo
	unsigned int nSamplesPerSec;	   // sample rate in hz
	unsigned int nAvgBytesPerSec;	   // average bytes	per	second
	unsigned short nBlockAlign;		   // number of bytes per sample (1 = 8-bit mono,  2 = 8-bit stereo or 16-bit mono, 4 = 16-bit stereo)
	unsigned short nBitsPerSample;	   // number of	bits in	a sample
	string sDataID;		   // data chunk id	'data'
	unsigned int nDataSize;		   // length of	data chunk
	short *nData;

public:
	__declspec(dllexport) Waveform();
	__declspec(dllexport) ~Waveform();
	void __declspec(dllexport) SetDataSize(unsigned int nSize);
	void __declspec(dllexport) SetSampleRate(unsigned int nSampleRate);
	void __declspec(dllexport) DecodeBRR(unsigned char *nRawData);
	void __declspec(dllexport) WriteOutWaveform(char *sFileName);
};

#endif